dom.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::Channel::DomInfo< View, Offset >
| Combine view with information for domain propagation. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Channel
| Channel propagators

## Functions

template<class View, class Offset>
ExecStatus | Gecode::Int::Channel::prop_dom (Space &home, int n, DomInfo< View, Offset > *x, Offset &ox, DomInfo< View, Offset > *y, Offset &oy, ProcessStack &ya)